Subject: bug#78508: Tramp confused by bracketed paste after remote prompt

From: Daniel Colascione <[email-masked]>
Date: Thu, 22 May 2025 03:23:34 -0400

On May 21, 2025 3:35:10 AM EDT, Michael Albinus <[email-masked]> wrote:
>Daniel Colascione <[email-masked]> writes:
>
>Hi Daniel,
>
>> When the remote shell emits bracketed paste escape codes (as zsh does
>> even when TERM=dumb), tramp ends up timing out unable to find the shell
>> prompt on initial connection.
>
>Have you checked the recipe from the Tramp manual in (info "(tramp)
>Frequently Asked Questions") ?

It shouldn't be necessary to do that. Sometimes modifying the target system isn't all that straightforward, and control sequences should be straightforward to strip. There's already an attempt to strip ANSI color, yes? It's not like Tramp is trying to avail itself of the opportunities SSH provides to make noninteractive use feasible. Failure mode is just "when I try to use Emacs to connect to this family of hosts, it hangs. VSCode works. I guess I'll stick with that"